This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1303220 - [abrt] inkscape: Inkscape::Selection::itemList(): inkscape killed by SIGSEGV
[abrt] inkscape: Inkscape::Selection::itemList(): inkscape killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f029244bccd2aaa1edf22aa3dea...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 16:09 EST by Peter
Modified: 2016-12-20 13:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:18:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.16 KB, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: core_backtrace (7.92 KB, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: dso_list (14.90 KB, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: environ (1022 bytes, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: exploitable (100 bytes, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: maps (71.21 KB, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: mountinfo (3.79 KB, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: open_fds (689 bytes, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details
File: var_log_messages (298 bytes, text/plain)
2016-01-29 16:09 EST, Peter
no flags Details

  None (edit)
Description Peter 2016-01-29 16:09:22 EST
Version-Release number of selected component:
inkscape-0.91-15.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        inkscape '/home/peter/Dokumente/Babsis Buch/Cover/Setup_Cover_Absolut Sex! Absolut hei\xc3\x9f!.svg'
crash_function: Inkscape::Selection::itemList
executable:     /usr/bin/inkscape
global_pid:     13155
kernel:         4.3.3-303.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Inkscape::Selection::itemList at selection.cpp:287
 #1 sp_desktop_set_style at desktop-style.cpp:174
 #2 Inkscape::UI::Widget::ObjectCompositeSettings::_opacityValueChanged at ui/widget/object-composite-settings.cpp:215
 #3 sigc::slot0<void>::operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440
 #4 Glib::SignalProxyNormal::slot0_void_callback at signalproxy.cc:91
 #9 gtk_adjustment_value_changed at gtkadjustment.c:668
 #10 gimp_spin_scale_change_value at ui/widget/gimpspinscale.c:840
 #11 gimp_spin_scale_button_press at ui/widget/gimpspinscale.c:892
 #12 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #17 gtk_widget_event_internal at gtkwidget.c:5017
Comment 1 Peter 2016-01-29 16:09:29 EST
Created attachment 1119518 [details]
File: backtrace
Comment 2 Peter 2016-01-29 16:09:31 EST
Created attachment 1119519 [details]
File: cgroup
Comment 3 Peter 2016-01-29 16:09:32 EST
Created attachment 1119520 [details]
File: core_backtrace
Comment 4 Peter 2016-01-29 16:09:34 EST
Created attachment 1119521 [details]
File: dso_list
Comment 5 Peter 2016-01-29 16:09:36 EST
Created attachment 1119522 [details]
File: environ
Comment 6 Peter 2016-01-29 16:09:37 EST
Created attachment 1119523 [details]
File: exploitable
Comment 7 Peter 2016-01-29 16:09:38 EST
Created attachment 1119524 [details]
File: limits
Comment 8 Peter 2016-01-29 16:09:41 EST
Created attachment 1119525 [details]
File: maps
Comment 9 Peter 2016-01-29 16:09:45 EST
Created attachment 1119526 [details]
File: mountinfo
Comment 10 Peter 2016-01-29 16:09:48 EST
Created attachment 1119527 [details]
File: namespaces
Comment 11 Peter 2016-01-29 16:09:49 EST
Created attachment 1119528 [details]
File: open_fds
Comment 12 Peter 2016-01-29 16:09:51 EST
Created attachment 1119529 [details]
File: proc_pid_status
Comment 13 Peter 2016-01-29 16:09:52 EST
Created attachment 1119530 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:16:37 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:18:07 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.